Gemini/DBAccess/SupportedDrivers

From Eclipsepedia

Jump to: navigation, search

Supported Database Platforms

Supported DB Platforms for DBAccess 1.1
JDBC driver JDBC driver bundle Compatible driver version Included Comment
Derby org.apache.derby_<version>.jar 10.x yes Delivered in version 10.8.2.2 with DBAccess, see 1)
MySQL Connector/J mysql-connector-java-<version>-bin.jar 5.1.x no
H2 h2-<version>.jar 1.3.x no
HSQLDB hsqldb.jar 2.x no


Supported DB Platforms for DBAccess 1.0
JDBC driver JDBC driver bundle Compatible driver version Included Comment
Derby org.apache.derby_<version>.jar 10.x yes Delivered in version 10.5.1 with DBAccess, see 1)


Comments

  1. To use versions of Derby other than 10.8.2.2 (or 10.5.1 for DBAccess 1.0) you may need to replace the derby.jar and derbyclient.jar driver jars inside the org.apache.derby bundle with the version that you require.